XkbFreeGeomOverlays(__libmansuffix__)

NAME
XkbFreeGeomOverlays - Free rows in a section

SYNOPSIS

void XkbFreeGeomOverlays (XkbSectionPtr section, int first, int count, Bool free_all);

ARGUMENTS

- section
    section in which overlays should be freed

- first
    first overlay to be freed

- count
    number of overlays to be freed

- free_all
    True => all overlays are freed

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected. If free_all is True, all overlays are freed regardless of the value of first and count. Otherwise, the number of overlays specified by count are freed, beginning with the overlay specified by first in the specified section.

RETURN VALUES

Success
    The XkbFreeGeomOverlays functions returns Success if there are no allocation or argument errors.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range